Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.document
Class CompactJsonWriter.StringBuilderWriter

    java.lang.Object
      java.io.Writer
          org.infinispan.schematic.internal.document.CompactJsonWriter.StringBuilderWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

Enclosing class:
  CompactJsonWriter

    protected static final class CompactJsonWriter.StringBuilderWriter

extends Writer

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`CompactJsonWriter.StringBuilderWriter(StringBuilder builder)`

Method Summary
`Writer` | `append(char c)`
`Writer` | `append(CharSequence csq)`
`Writer` | `append(CharSequence csq, int start, int end)`
`void` | `close()`
`void` | `flush()`
`void` | `write(char[] cbuf)`
`void` | `write(char[] cbuf, int off, int len)`
`void` | `write(int c)`
`void` | `write(String str)`
`void` | `write(String str, int off, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompactJsonWriter.StringBuilderWriter

    public CompactJsonWriter.StringBuilderWriter(StringBuilder builder)

Method Detail

### write

    public void write(char[] cbuf,
                      int off,
                      int len)

  Specified by:
    `write` in class `Writer`

### append

    public Writer append(char c)

  Specified by:
    `append` in interface `Appendable`
  Overrides:
    `append` in class `Writer`

### append

    public Writer append(CharSequence csq)

  Specified by:
    `append` in interface `Appendable`
  Overrides:
    `append` in class `Writer`

### append

    public Writer append(CharSequence csq,
                         int start,
                         int end)

  Specified by:
    `append` in interface `Appendable`
  Overrides:
    `append` in class `Writer`

### write

    public void write(int c)

  Overrides:
    `write` in class `Writer`

### write

    public void write(char[] cbuf)

  Overrides:
    `write` in class `Writer`

### write

    public void write(String str)

  Overrides:
    `write` in class `Writer`

### write

    public void write(String str,
                      int off,
                      int len)

  Overrides:
    `write` in class `Writer`

### flush

    public void flush()

  Specified by:
    `flush` in interface `Flushable`
  Specified by:
    `flush` in class `Writer`

### close

    public void close()

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Writer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.